io.vertx.servicediscovery.types

## Interface JDBCDataSource

- All Superinterfaces:
    ServiceType

      public interface JDBCDataSource
      extends ServiceType

  Author:
    Clement Escoffier

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `TYPE`

    - ### Fields inherited from interface io.vertx.servicediscovery.spi.ServiceType

      `UNKNOWN`

  - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Record` | `createRecord(String name, JsonObject location, JsonObject metadata)`
    `static void` | `getJDBCClient(ServiceDiscovery discovery, java.util.function.Function<Record,Boolean> filter, Handler<AsyncResult<JDBCClient>> resultHandler)` Convenient method that looks for a JDBC datasource source and provides the configured `JDBCClient`.
    `static void` | `getJDBCClient(ServiceDiscovery discovery, java.util.function.Function<Record,Boolean> filter, JsonObject consumerConfiguration, Handler<AsyncResult<JDBCClient>> resultHandler)` Convenient method that looks for a JDBC datasource source and provides the configured `JDBCClient`.
    `static void` | `getJDBCClient(ServiceDiscovery discovery, JsonObject filter, Handler<AsyncResult<JDBCClient>> resultHandler)` Convenient method that looks for a JDBC datasource source and provides the configured `JDBCClient`.
    `static void` | `getJDBCClient(ServiceDiscovery discovery, JsonObject filter, JsonObject consumerConfiguration, Handler<AsyncResult<JDBCClient>> resultHandler)` Convenient method that looks for a JDBC datasource source and provides the configured `JDBCClient`.

    - ### Methods inherited from interface io.vertx.servicediscovery.spi.ServiceType

      `get, name`

- - ### Field Detail

    - #### TYPE

          static final String TYPE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### createRecord

          static Record createRecord(String name,
                                     JsonObject location,
                                     JsonObject metadata)

    - #### getJDBCClient

          static void getJDBCClient(ServiceDiscovery discovery,
                                    JsonObject filter,
                                    Handler<AsyncResult<JDBCClient>> resultHandler)

      Convenient method that looks for a JDBC datasource source and provides the configured `JDBCClient`. The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, optional
        `resultHandler` - The result handler

    - #### getJDBCClient

          static void getJDBCClient(ServiceDiscovery discovery,
                                    java.util.function.Function<Record,Boolean> filter,
                                    Handler<AsyncResult<JDBCClient>> resultHandler)

      Convenient method that looks for a JDBC datasource source and provides the configured `JDBCClient`. The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter (must not be `null`)
        `resultHandler` - The result handler

    - #### getJDBCClient

          static void getJDBCClient(ServiceDiscovery discovery,
                                    JsonObject filter,
                                    JsonObject consumerConfiguration,
                                    Handler<AsyncResult<JDBCClient>> resultHandler)

      Convenient method that looks for a JDBC datasource source and provides the configured `JDBCClient`. The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, optional
        `consumerConfiguration` - the consumer configuration
        `resultHandler` - the result handler

    - #### getJDBCClient

          static void getJDBCClient(ServiceDiscovery discovery,
                                    java.util.function.Function<Record,Boolean> filter,
                                    JsonObject consumerConfiguration,
                                    Handler<AsyncResult<JDBCClient>> resultHandler)

      Convenient method that looks for a JDBC datasource source and provides the configured `JDBCClient`. The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, must not be `null`
        `consumerConfiguration` - the consumer configuration
        `resultHandler` - the result handler

Copyright © 2019 Eclipse. All rights reserved.